Subject: Re: bug#17482: args-out-of-range when visiting foo.todo

From: Stephen Berman <[email-masked]>
Date: Wed, 14 May 2014 23:58:37 +0200

On Wed, 14 May 2014 17:44:36 -0400 Stefan Monnier <[email-masked]> wrote:

>> convenient way to get that effect.  But it also counteracts Stefan's
>> "design goal" of being able to use standard Emacs commands on Todo
>> files.
>
> No, that's OK: for files which we know positively to be Todo files, we
> can use special processing.

Ok, I understand (that also answers a question I was tempted to ask you
about why SES files don't violate your design goals).  But I would
consider this to be a new feature (which I still have doubts about),
which could be considered for the trunk, but not for emacs-24.  In
contrast, the use of auto-mode-alist is a bug-inducing misfeature and
should be removed before the release.

Steve Berman